<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "order_bibitinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$order_bibit_delete = NULL; // Initialize page object first

class corder_bibit_delete extends corder_bibit {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'order_bibit';

	// Page object name
	var $PageObjName = 'order_bibit_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (order_bibit)
		if (!isset($GLOBALS["order_bibit"]) || get_class($GLOBALS["order_bibit"]) == "corder_bibit") {
			$GLOBALS["order_bibit"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["order_bibit"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'order_bibit', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("order_bibitlist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->ob_id->SetVisibility();
		if ($this->IsAdd() || $this->IsCopy() || $this->IsGridAdd())
			$this->ob_id->Visible = FALSE;
		$this->ob_co->SetVisibility();
		$this->ob_k_tanam->SetVisibility();
		$this->ob_pembeli->SetVisibility();
		$this->ob_tgl_kirim->SetVisibility();
		$this->ob_var->SetVisibility();
		$this->ob_jumlah->SetVisibility();
		$this->status->SetVisibility();
		$this->ob_tgl_real_kirim->SetVisibility();
		$this->ob_jumlah_real_kirim->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $order_bibit;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($order_bibit);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("order_bibitlist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in order_bibit class, order_bibitinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("order_bibitlist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->ob_id->setDbValue($row['ob_id']);
		$this->ob_co->setDbValue($row['ob_co']);
		$this->ob_k_tanam->setDbValue($row['ob_k_tanam']);
		$this->ob_pembeli->setDbValue($row['ob_pembeli']);
		$this->ob_tgl_kirim->setDbValue($row['ob_tgl_kirim']);
		$this->ob_var->setDbValue($row['ob_var']);
		$this->ob_jumlah->setDbValue($row['ob_jumlah']);
		$this->status->setDbValue($row['status']);
		$this->ob_tgl_real_kirim->setDbValue($row['ob_tgl_real_kirim']);
		$this->ob_jumlah_real_kirim->setDbValue($row['ob_jumlah_real_kirim']);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['ob_id'] = NULL;
		$row['ob_co'] = NULL;
		$row['ob_k_tanam'] = NULL;
		$row['ob_pembeli'] = NULL;
		$row['ob_tgl_kirim'] = NULL;
		$row['ob_var'] = NULL;
		$row['ob_jumlah'] = NULL;
		$row['status'] = NULL;
		$row['ob_tgl_real_kirim'] = NULL;
		$row['ob_jumlah_real_kirim'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->ob_id->DbValue = $row['ob_id'];
		$this->ob_co->DbValue = $row['ob_co'];
		$this->ob_k_tanam->DbValue = $row['ob_k_tanam'];
		$this->ob_pembeli->DbValue = $row['ob_pembeli'];
		$this->ob_tgl_kirim->DbValue = $row['ob_tgl_kirim'];
		$this->ob_var->DbValue = $row['ob_var'];
		$this->ob_jumlah->DbValue = $row['ob_jumlah'];
		$this->status->DbValue = $row['status'];
		$this->ob_tgl_real_kirim->DbValue = $row['ob_tgl_real_kirim'];
		$this->ob_jumlah_real_kirim->DbValue = $row['ob_jumlah_real_kirim'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// ob_id
		// ob_co
		// ob_k_tanam
		// ob_pembeli
		// ob_tgl_kirim
		// ob_var
		// ob_jumlah
		// status
		// ob_tgl_real_kirim
		// ob_jumlah_real_kirim

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// ob_id
		$this->ob_id->ViewValue = $this->ob_id->CurrentValue;
		$this->ob_id->ViewCustomAttributes = "";

		// ob_co
		if (strval($this->ob_co->CurrentValue) <> "") {
			$sFilterWrk = "`co_id`" . ew_SearchString("=", $this->ob_co->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `co_id`, `co_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `co`";
		$sWhereWrk = "";
		$this->ob_co->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->ob_co, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->ob_co->ViewValue = $this->ob_co->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->ob_co->ViewValue = $this->ob_co->CurrentValue;
			}
		} else {
			$this->ob_co->ViewValue = NULL;
		}
		$this->ob_co->ViewCustomAttributes = "";

		// ob_k_tanam
		if (strval($this->ob_k_tanam->CurrentValue) <> "") {
			$sFilterWrk = "`k_id`" . ew_SearchString("=", $this->ob_k_tanam->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `k_id`, `k_id_kontrak` AS `DispFld`, `k_luas_lahan` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kontrak`";
		$sWhereWrk = "";
		$this->ob_k_tanam->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->ob_k_tanam, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->ob_k_tanam->ViewValue = $this->ob_k_tanam->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->ob_k_tanam->ViewValue = $this->ob_k_tanam->CurrentValue;
			}
		} else {
			$this->ob_k_tanam->ViewValue = NULL;
		}
		$this->ob_k_tanam->ViewCustomAttributes = "";

		// ob_pembeli
		$this->ob_pembeli->ViewValue = $this->ob_pembeli->CurrentValue;
		$this->ob_pembeli->ViewCustomAttributes = "";

		// ob_tgl_kirim
		$this->ob_tgl_kirim->ViewValue = $this->ob_tgl_kirim->CurrentValue;
		$this->ob_tgl_kirim->ViewValue = ew_FormatDateTime($this->ob_tgl_kirim->ViewValue, 0);
		$this->ob_tgl_kirim->ViewCustomAttributes = "";

		// ob_var
		if (strval($this->ob_var->CurrentValue) <> "") {
			$sFilterWrk = "`var_id`" . ew_SearchString("=", $this->ob_var->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `var_id`, `var_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `varietas`";
		$sWhereWrk = "";
		$this->ob_var->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->ob_var, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->ob_var->ViewValue = $this->ob_var->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->ob_var->ViewValue = $this->ob_var->CurrentValue;
			}
		} else {
			$this->ob_var->ViewValue = NULL;
		}
		$this->ob_var->ViewCustomAttributes = "";

		// ob_jumlah
		$this->ob_jumlah->ViewValue = $this->ob_jumlah->CurrentValue;
		$this->ob_jumlah->ViewCustomAttributes = "";

		// status
		if (strval($this->status->CurrentValue) <> "") {
			$sFilterWrk = "`status_order_bibit`" . ew_SearchString("=", $this->status->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `status_order_bibit`, `status_order_bibit` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `status_order_bibit`";
		$sWhereWrk = "";
		$this->status->LookupFilters = array("dx1" => '`status_order_bibit`');
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->status, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->status->ViewValue = $this->status->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->status->ViewValue = $this->status->CurrentValue;
			}
		} else {
			$this->status->ViewValue = NULL;
		}
		$this->status->ViewCustomAttributes = "";

		// ob_tgl_real_kirim
		$this->ob_tgl_real_kirim->ViewValue = $this->ob_tgl_real_kirim->CurrentValue;
		$this->ob_tgl_real_kirim->ViewValue = ew_FormatDateTime($this->ob_tgl_real_kirim->ViewValue, 0);
		$this->ob_tgl_real_kirim->ViewCustomAttributes = "";

		// ob_jumlah_real_kirim
		$this->ob_jumlah_real_kirim->ViewValue = $this->ob_jumlah_real_kirim->CurrentValue;
		$this->ob_jumlah_real_kirim->ViewCustomAttributes = "";

			// ob_id
			$this->ob_id->LinkCustomAttributes = "";
			$this->ob_id->HrefValue = "";
			$this->ob_id->TooltipValue = "";

			// ob_co
			$this->ob_co->LinkCustomAttributes = "";
			$this->ob_co->HrefValue = "";
			$this->ob_co->TooltipValue = "";

			// ob_k_tanam
			$this->ob_k_tanam->LinkCustomAttributes = "";
			$this->ob_k_tanam->HrefValue = "";
			$this->ob_k_tanam->TooltipValue = "";

			// ob_pembeli
			$this->ob_pembeli->LinkCustomAttributes = "";
			$this->ob_pembeli->HrefValue = "";
			$this->ob_pembeli->TooltipValue = "";

			// ob_tgl_kirim
			$this->ob_tgl_kirim->LinkCustomAttributes = "";
			$this->ob_tgl_kirim->HrefValue = "";
			$this->ob_tgl_kirim->TooltipValue = "";

			// ob_var
			$this->ob_var->LinkCustomAttributes = "";
			$this->ob_var->HrefValue = "";
			$this->ob_var->TooltipValue = "";

			// ob_jumlah
			$this->ob_jumlah->LinkCustomAttributes = "";
			$this->ob_jumlah->HrefValue = "";
			$this->ob_jumlah->TooltipValue = "";

			// status
			$this->status->LinkCustomAttributes = "";
			$this->status->HrefValue = "";
			$this->status->TooltipValue = "";

			// ob_tgl_real_kirim
			$this->ob_tgl_real_kirim->LinkCustomAttributes = "";
			$this->ob_tgl_real_kirim->HrefValue = "";
			$this->ob_tgl_real_kirim->TooltipValue = "";

			// ob_jumlah_real_kirim
			$this->ob_jumlah_real_kirim->LinkCustomAttributes = "";
			$this->ob_jumlah_real_kirim->HrefValue = "";
			$this->ob_jumlah_real_kirim->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['ob_id'];

				// Delete old files
				$this->LoadDbValues($row);
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("order_bibitlist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($order_bibit_delete)) $order_bibit_delete = new corder_bibit_delete();

// Page init
$order_bibit_delete->Page_Init();

// Page main
$order_bibit_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$order_bibit_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = forder_bibitdelete = new ew_Form("forder_bibitdelete", "delete");

// Form_CustomValidate event
forder_bibitdelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
forder_bibitdelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
forder_bibitdelete.Lists["x_ob_co"] = {"LinkField":"x_co_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_co_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"co"};
forder_bibitdelete.Lists["x_ob_co"].Data = "<?php echo $order_bibit_delete->ob_co->LookupFilterQuery(FALSE, "delete") ?>";
forder_bibitdelete.Lists["x_ob_k_tanam"] = {"LinkField":"x_k_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_k_id_kontrak","x_k_luas_lahan","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kontrak"};
forder_bibitdelete.Lists["x_ob_k_tanam"].Data = "<?php echo $order_bibit_delete->ob_k_tanam->LookupFilterQuery(FALSE, "delete") ?>";
forder_bibitdelete.Lists["x_ob_var"] = {"LinkField":"x_var_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_var_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"varietas"};
forder_bibitdelete.Lists["x_ob_var"].Data = "<?php echo $order_bibit_delete->ob_var->LookupFilterQuery(FALSE, "delete") ?>";
forder_bibitdelete.Lists["x_status"] = {"LinkField":"x_status_order_bibit","Ajax":true,"AutoFill":false,"DisplayFields":["x_status_order_bibit","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"status_order_bibit"};
forder_bibitdelete.Lists["x_status"].Data = "<?php echo $order_bibit_delete->status->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $order_bibit_delete->ShowPageHeader(); ?>
<?php
$order_bibit_delete->ShowMessage();
?>
<form name="forder_bibitdelete" id="forder_bibitdelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($order_bibit_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $order_bibit_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="order_bibit">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($order_bibit_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($order_bibit->ob_id->Visible) { // ob_id ?>
		<th class="<?php echo $order_bibit->ob_id->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_id" class="order_bibit_ob_id"><?php echo $order_bibit->ob_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_co->Visible) { // ob_co ?>
		<th class="<?php echo $order_bibit->ob_co->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_co" class="order_bibit_ob_co"><?php echo $order_bibit->ob_co->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_k_tanam->Visible) { // ob_k_tanam ?>
		<th class="<?php echo $order_bibit->ob_k_tanam->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_k_tanam" class="order_bibit_ob_k_tanam"><?php echo $order_bibit->ob_k_tanam->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_pembeli->Visible) { // ob_pembeli ?>
		<th class="<?php echo $order_bibit->ob_pembeli->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_pembeli" class="order_bibit_ob_pembeli"><?php echo $order_bibit->ob_pembeli->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_tgl_kirim->Visible) { // ob_tgl_kirim ?>
		<th class="<?php echo $order_bibit->ob_tgl_kirim->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_tgl_kirim" class="order_bibit_ob_tgl_kirim"><?php echo $order_bibit->ob_tgl_kirim->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_var->Visible) { // ob_var ?>
		<th class="<?php echo $order_bibit->ob_var->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_var" class="order_bibit_ob_var"><?php echo $order_bibit->ob_var->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_jumlah->Visible) { // ob_jumlah ?>
		<th class="<?php echo $order_bibit->ob_jumlah->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_jumlah" class="order_bibit_ob_jumlah"><?php echo $order_bibit->ob_jumlah->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->status->Visible) { // status ?>
		<th class="<?php echo $order_bibit->status->HeaderCellClass() ?>"><span id="elh_order_bibit_status" class="order_bibit_status"><?php echo $order_bibit->status->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_tgl_real_kirim->Visible) { // ob_tgl_real_kirim ?>
		<th class="<?php echo $order_bibit->ob_tgl_real_kirim->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_tgl_real_kirim" class="order_bibit_ob_tgl_real_kirim"><?php echo $order_bibit->ob_tgl_real_kirim->FldCaption() ?></span></th>
<?php } ?>
<?php if ($order_bibit->ob_jumlah_real_kirim->Visible) { // ob_jumlah_real_kirim ?>
		<th class="<?php echo $order_bibit->ob_jumlah_real_kirim->HeaderCellClass() ?>"><span id="elh_order_bibit_ob_jumlah_real_kirim" class="order_bibit_ob_jumlah_real_kirim"><?php echo $order_bibit->ob_jumlah_real_kirim->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$order_bibit_delete->RecCnt = 0;
$i = 0;
while (!$order_bibit_delete->Recordset->EOF) {
	$order_bibit_delete->RecCnt++;
	$order_bibit_delete->RowCnt++;

	// Set row properties
	$order_bibit->ResetAttrs();
	$order_bibit->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$order_bibit_delete->LoadRowValues($order_bibit_delete->Recordset);

	// Render row
	$order_bibit_delete->RenderRow();
?>
	<tr<?php echo $order_bibit->RowAttributes() ?>>
<?php if ($order_bibit->ob_id->Visible) { // ob_id ?>
		<td<?php echo $order_bibit->ob_id->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_id" class="order_bibit_ob_id">
<span<?php echo $order_bibit->ob_id->ViewAttributes() ?>>
<?php echo $order_bibit->ob_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_co->Visible) { // ob_co ?>
		<td<?php echo $order_bibit->ob_co->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_co" class="order_bibit_ob_co">
<span<?php echo $order_bibit->ob_co->ViewAttributes() ?>>
<?php echo $order_bibit->ob_co->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_k_tanam->Visible) { // ob_k_tanam ?>
		<td<?php echo $order_bibit->ob_k_tanam->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_k_tanam" class="order_bibit_ob_k_tanam">
<span<?php echo $order_bibit->ob_k_tanam->ViewAttributes() ?>>
<?php echo $order_bibit->ob_k_tanam->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_pembeli->Visible) { // ob_pembeli ?>
		<td<?php echo $order_bibit->ob_pembeli->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_pembeli" class="order_bibit_ob_pembeli">
<span<?php echo $order_bibit->ob_pembeli->ViewAttributes() ?>>
<?php echo $order_bibit->ob_pembeli->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_tgl_kirim->Visible) { // ob_tgl_kirim ?>
		<td<?php echo $order_bibit->ob_tgl_kirim->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_tgl_kirim" class="order_bibit_ob_tgl_kirim">
<span<?php echo $order_bibit->ob_tgl_kirim->ViewAttributes() ?>>
<?php echo $order_bibit->ob_tgl_kirim->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_var->Visible) { // ob_var ?>
		<td<?php echo $order_bibit->ob_var->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_var" class="order_bibit_ob_var">
<span<?php echo $order_bibit->ob_var->ViewAttributes() ?>>
<?php echo $order_bibit->ob_var->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_jumlah->Visible) { // ob_jumlah ?>
		<td<?php echo $order_bibit->ob_jumlah->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_jumlah" class="order_bibit_ob_jumlah">
<span<?php echo $order_bibit->ob_jumlah->ViewAttributes() ?>>
<?php echo $order_bibit->ob_jumlah->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->status->Visible) { // status ?>
		<td<?php echo $order_bibit->status->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_status" class="order_bibit_status">
<span<?php echo $order_bibit->status->ViewAttributes() ?>>
<?php echo $order_bibit->status->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_tgl_real_kirim->Visible) { // ob_tgl_real_kirim ?>
		<td<?php echo $order_bibit->ob_tgl_real_kirim->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_tgl_real_kirim" class="order_bibit_ob_tgl_real_kirim">
<span<?php echo $order_bibit->ob_tgl_real_kirim->ViewAttributes() ?>>
<?php echo $order_bibit->ob_tgl_real_kirim->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($order_bibit->ob_jumlah_real_kirim->Visible) { // ob_jumlah_real_kirim ?>
		<td<?php echo $order_bibit->ob_jumlah_real_kirim->CellAttributes() ?>>
<span id="el<?php echo $order_bibit_delete->RowCnt ?>_order_bibit_ob_jumlah_real_kirim" class="order_bibit_ob_jumlah_real_kirim">
<span<?php echo $order_bibit->ob_jumlah_real_kirim->ViewAttributes() ?>>
<?php echo $order_bibit->ob_jumlah_real_kirim->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$order_bibit_delete->Recordset->MoveNext();
}
$order_bibit_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $order_bibit_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
forder_bibitdelete.Init();
</script>
<?php
$order_bibit_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$order_bibit_delete->Page_Terminate();
?>
